package org.apache.bcel.generic;

import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.util.ByteSequence;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/BIPUSH.class */
public class BIPUSH extends Instruction implements ConstantPushInstruction {
    private byte b;

    /* JADX INFO: Access modifiers changed from: package-private */
    public BIPUSH() {
    }

    public BIPUSH(byte b) {
        super((short) 16, (short) 2);
        this.b = b;
    }

    @Override // org.apache.bcel.generic.Instruction
    public void accept(Visitor v) {
        v.visitPushInstruction(this);
        v.visitStackProducer(this);
        v.visitTypedInstruction(this);
        v.visitConstantPushInstruction(this);
        v.visitBIPUSH(this);
    }

    @Override // org.apache.bcel.generic.Instruction
    public void dump(DataOutputStream out) throws IOException {
        super.dump(out);
        out.writeByte(this.b);
    }

    @Override // org.apache.bcel.generic.TypedInstruction
    public Type getType(ConstantPoolGen cp) {
        return Type.BYTE;
    }

    @Override // org.apache.bcel.generic.ConstantPushInstruction
    public Number getValue() {
        return Integer.valueOf(this.b);
    }

    @Override // org.apache.bcel.generic.Instruction
    protected void initFromFile(ByteSequence bytes, boolean wide) throws IOException {
        super.setLength(2);
        this.b = bytes.readByte();
    }

    @Override // org.apache.bcel.generic.Instruction
    public String toString(boolean verbose) {
        return super.toString(verbose) + " " + ((int) this.b);
    }
}
